Bug 967477 - multilib issue / broken dependency for PHP
multilib issue / broken dependency for PHP
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: mash (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 04:56 EDT by Remi Collet
Modified: 2015-06-01 21:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2013-05-27 04:56:07 EDT
RHEL-6 64 bits doesn't provides php-devel 32bits.

So, a php extension which provides some devel stuff should not be consider as a multilib candidate.

Ex: php-pecl-msgpack.

=> php-pecl-msgpack-devel-0.5.5-4.el6.i686 requires php-devel(x86_32)
Comment 1 Remi Collet 2013-08-23 04:04:24 EDT
Any news ? (there is more and more php*devel in EPEL)
Comment 2 Remi Collet 2014-09-20 12:30:46 EDT
Current list  (yum --disablerepo=* --enablerepo=epel list php\* | grep i686)

php-pecl-apcu.i686                          4.0.4-1.el6            epel         
php-pecl-apcu-devel.i686                    4.0.4-1.el6            epel         
php-pecl-cairo.i686                         0.3.2-2.el6            epel         
php-pecl-cairo-devel.i686                   0.3.2-2.el6            epel         
php-pecl-http.i686                          2.0.7-1.el6            epel         
php-pecl-http-devel.i686                    2.0.7-1.el6            epel         
php-pecl-http1.i686                         1.7.6-4.el6            epel         
php-pecl-http1-devel.i686                   1.7.6-4.el6            epel         
php-pecl-igbinary.i686                      1.1.1-3.el6            epel         
php-pecl-igbinary-devel.i686                1.1.1-3.el6            epel         
php-pecl-judy.i686                          1.0.2-2.el6            epel         
php-pecl-judy-devel.i686                    1.0.2-2.el6            epel         
php-pecl-krb5.i686                          1.0.0-2.el6            epel         
php-pecl-krb5-devel.i686                    1.0.0-2.el6            epel         
php-pecl-msgpack.i686                       0.5.5-4.el6            epel         
php-pecl-msgpack-devel.i686                 0.5.5-4.el6            epel         
php-pecl-propro.i686                        1.0.0-1.el6            epel         
php-pecl-propro-devel.i686                  1.0.0-1.el6            epel         
php-pecl-raphf.i686                         1.0.4-1.el6.1          epel         
php-pecl-raphf-devel.i686                   1.0.4-1.el6.1          epel
Comment 3 Remi Collet 2014-09-25 08:46:47 EDT
For context PHP is globally not compatible with multilib.

php-devel provides (and requires) lot of binary commands (such as php, phpize, php-config, ...) which are need during build of PHP extension.

Note You need to log in before you can comment on or make changes to this bug.